// @use has to be called before @import
// angular material theme mixins and functions
@use "@angular/material" as mat;

// custom theme mixins
@use "./dist/shared-lib/theme-mixins/footer-theme" as footer;
@use "./dist/shared-lib/theme-mixins/stepper-theme" as stepper;
@use "./dist/shared-lib/theme-mixins/workflow-panel-theme" as panel;
@use "./dist/shared-lib/theme-mixins/progress-info-theme" as progress;

// angular material core styles
@include mat.core();

// adds tailwind, remember to add your project to the tailwind.config.js
@tailwind base;
@tailwind components;
@tailwind utilities;

// custom theme
@import "../../../themes/omex-theme.scss";

// applies angular material typography styles
@include mat.all-component-typographies();
// applies custom theme to angular material components
@include mat.all-component-themes($omex-theme);
// overrides styles of angular material components
@import "./material-style-overrides.scss";

// applies custom theme to custom component
@include footer.theme($omex-theme);
@include stepper.theme($omex-theme);
@include panel.theme($omex-theme);
@include progress.theme($omex-theme);

// fixes input label bug when using tailwind and angular material (https://github.com/angular/components/issues/26102)
.mdc-notched-outline__notch {
  border-right: none;
}

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

// block text
p {
  text-align: justify;
  text-align-last: none;
}

// override position fixed in footer
.footer-root {
  position: unset !important;
}

// classes for workflow component
.documentation-content-container {
  display: grid;
  // grid-template-columns: 1fr 2fr;
  gap: 4rem;
}

.form-button-grid {
  @apply mb-8 grid grid-cols-2 gap-4;
}

form {
  @apply flex flex-col min-h-0;
}

.inner-form-container {
  @apply flex flex-col overflow-y-auto;
}

.outer-form-container {
  @apply flex flex-col h-full;
}

.stepper-container {
  width: 100%;
  @apply max-w-screen-lg;
}

.feature-table {
  max-height: 400px;
  overflow: auto;
}

.hidden {
  display: none;
}
